位置:首页  >   程序人生  > node: /usr/lib64/libstdc++.so.6: version `GLIBCXX_3.4.15' not found (required by node)

node: /usr/lib64/libstdc++.so.6: version `GLIBCXX_3.4.15' not found (required by node)

node: /usr/lib64/libstdc++.so.6: version `GLIBCXX_3.4.15' not found (required by node)

使用ndoe -v的时候报上面的错误

原来我在之前安装gcc4.8的时候把函数库文件复制错地方了,我的是64位系统,要复制到/usr/lib64/下面

cp ~/gcc-build-4.8.1/prev-x86_64-unknown-linux-gnu/libstdc++-v3/src/.libs/libstdc++.so.6.0.18 /usr/lib64 
ln -sf /usr/lib64/libstdc++.so.6.0.18 /usr/lib64/libstdc++.so.6

这样就可以解决了!具体安装细节可以看上一篇日志 linux centos编译node报错 里面有gcc的安装

文章属性
精彩评论